<?php

/**
 * @file
 * Hooks for the pate module.
 */

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Allows modules to alter the list of template elements to remove in preview.
 *
 * Modules implementing this hook will receive a $to_remove indexed list of
 * element selectors, which will ultimately be passed to the javascript code
 * that removes them from the DOM inside the iframe. Add extra selectors to
 * the list or modify the existing list, depending on your custom needs.
 *
 * Note that if this list of elements to remove isn't enough for you particular
 * use-case, you can always replicate in a custom module the page_attachments
 * implemented in pate_page_attachments(), and add your own javascript that
 * manipulates the DOM if the preview query string is present (which should
 * only be the case when loading the previewed template inside the iframe).
 *
 * @param string[] $to_remove
 *   An indexed list of selectors corresponding to elements that should be
 *   removed from the DOM inside the iframe.
 */
function hook_pate_template_elements_remove_alter(array &$to_remove) {
  $to_remove[] = '#my-new-custom-selector-string .foo .bar';
}

/**
 * @} End of "addtogroup hooks".
 */
